<?php
function ibiz_get_color_scheme() {
	$ibiz_color = get_theme_mod('color_scheme_ibiz', 'orange.css');
	if ( $ibiz_color == 'default.css' ) {
		$color = '#31a3dd';
	} else if ( $ibiz_color == 'orange.css' ) { 
		$color = '#f8504b';
	} else if ( $ibiz_color == 'green.css' ) {
		$color = '#33a568';
	} else if ( $ibiz_color == 'DonJuan.css' ) {
		$color = '#5C4B51';
	}
	return $color;
}
add_action( 'wp_enqueue_scripts', 'iBiz_theme_setup_enqueue_styles' );
function iBiz_theme_setup_enqueue_styles() {
	$parent_style = 'awada'; // This is 'awada' for the Awada theme.
    wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css', array( 'bootstrap','owl-theme-default' ) );
    wp_enqueue_style( 'ibiz',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style ),
        wp_get_theme()->get('Version')
    );
	$color_scheme_ibiz = get_theme_mod('color_scheme_ibiz', 'orange.css');
	wp_enqueue_style( 'color-scheme', get_stylesheet_directory_uri(). '/css/skins/' . esc_attr($color_scheme_ibiz) );

}

function ibiz_theme_setup()
{
	$ibiz_color = ibiz_get_color_scheme();;
	/* Child Text Domain */
	load_child_theme_textdomain('ibiz', get_stylesheet_directory_uri() . '/lang');
	Kirki::add_config( 'ibiz_theme', array(
		'capability'    => 'edit_theme_options',
		'option_type'   => 'theme_mod',
	) );
	
	Kirki::add_field('ibiz_theme', array(
		'settings'          => 'color_scheme_ibiz',
		'label'             => esc_html__('Color scheme', 'ibiz'),
		'description'       => esc_html__('Select a color scheme', 'ibiz'),
		'section'           => 'general_sec',
		'type'              => 'preset',
		'priority'          => 9,
		'default'           => 'orange.css',
		'transport'         =>'auto',
		'sanitize_callback' => 'esc_attr',
		'choices'    =>array(
			'default.css'=>array(
				'label' => esc_html__('Default','ibiz'),
			),
			'DonJuan.css'=>array(
				'label' => esc_html__('Coffee','ibiz'),
			),
			'green.css'=>array(
				'label' => esc_html__('Green','ibiz'),
			),
			'orange.css'=>array(
				'label' => esc_html__('Orange','ibiz'),
			),
		)
	));

}
add_action( 'after_setup_theme', 'ibiz_theme_setup' );

function ibiz_customize_register( $wp_customize ) {
	$wp_customize->remove_control( 'awada_theme_options[color_scheme]' );
}
add_action('customize_register', 'ibiz_customize_register', 100 );